### Enumeration

# FwupdPlugin PciDeviceClassBase

#### Declaration

    enum FwupdPlugin.PciDeviceClassBase

#### Description

No description available.

#### Members

`FU_PCI_DEVICE_CLASS_BASE_OLD`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_STORAGE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_NETWORK`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_DISPLAY`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_MULTIMEDIA`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_MEMORY`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_BRIDGE`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_SIMPLE_COMMUNICATION`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_SYSTEM`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_INPUT`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_DOCKING`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_PROCESSOR`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_SERIAL`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_WIRELESS`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_INTELLIGENT`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_SATELLITE`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_ENCRYPTION`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_SIGNAL`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_ACCELERATOR`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_NON_ESSENTIAL`

  No description available.

  - Value: `19`
  - Available since: 1.0
`FU_PCI_DEVICE_CLASS_BASE_UNDEFINED`

  No description available.

  - Value: `255`
  - Available since: 1.0